Job Target Groups - Get

Gets a target group.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/jobAgents/{jobAgentName}/targetGroups/{targetGroupName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
jobAgentName
path True

string

The name of the job agent to be retrieved.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

targetGroupName
path True

string

The name of the target group.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

JobTargetGroup

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get a target group.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/targetGroups/targetGroup1?api-version=2025-01-01

Sample response

{
  "name": "targetGroup1",
  "type": "Microsoft.Sql/servers/jobAgents/targetGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/targetGroups/targetGroup1",
  "properties": {
    "members": [
      {
        "type": "SqlDatabase",
        "databaseName": "database1",
        "membershipType": "Exclude",
        "serverName": "server1"
      },
      {
        "type": "SqlServer",
        "membershipType": "Include",
        "refreshCredential": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/credentials/testCredential",
        "serverName": "server1"
      },
      {
        "type": "SqlElasticPool",
        "elasticPoolName": "pool1",
        "membershipType": "Include",
        "refreshCredential": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/credentials/testCredential",
        "serverName": "server2"
      },
      {
        "type": "SqlShardMap",
        "membershipType": "Include",
        "refreshCredential": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/credentials/testCredential",
        "serverName": "server3",
        "shardMapName": "shardMap1"
      }
    ]
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

JobTarget

A job target, for example a specific database or a container of databases that is evaluated during job execution.

JobTargetGroup

A group of job targets.

JobTargetGroupMembershipType

Whether the target is included or excluded from the group.

JobTargetType

The type of the target.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

JobTarget

A job target, for example a specific database or a container of databases that is evaluated during job execution.

Name Type Default value Description
databaseName

string

The target database name.

elasticPoolName

string

The target elastic pool name.

membershipType

JobTargetGroupMembershipType

Include

Whether the target is included or excluded from the group.

refreshCredential

string

The resource ID of the credential that is used during job execution to connect to the target and determine the list of databases inside the target.

serverName

string

The target server name.

shardMapName

string

The target shard map.

type

JobTargetType

The target type.

JobTargetGroup

A group of job targets.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.members

JobTarget[]

Members of the target group.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

JobTargetGroupMembershipType

Whether the target is included or excluded from the group.

Value Description
Include

Include

Exclude

Exclude

JobTargetType

The type of the target.

Value Description
TargetGroup

TargetGroup

SqlDatabase

SqlDatabase

SqlElasticPool

SqlElasticPool

SqlShardMap

SqlShardMap

SqlServer

SqlServer

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.